#!/bin/sh
echo 'name: abstract-deque
version: 0.1.5
id: abstract-deque-0.1.5-dd08d825ec7f8cb51b2edae7bf570ab8

license: BSD3
copyright:
maintainer: rrnewton@gmail.com
stability:
homepage:
package-url:
synopsis: Abstract, parameterized interface to mutable Deques.
description: An abstract interface to highly-parameterizable queues/deques.
             .
             Background: There exists a feature space for queues that extends between:
             .
             * simple, single-ended, non-concurrent, bounded queues
             .
             * double-ended, threadsafe, growable queues
             .
             ... with important points inbetween (such as
             the queues used for work-stealing).
             .
             This package includes an interface for Deques that allows the
             programmer to use a single API for all of the above, while using the
             type-system to select an efficient implementation given the
             requirements (using type families).
             .
             This package also includes a simple reference implementation based
             on '\''IORef'\'' and "Data.Sequence".
category: Data
author: Ryan R. Newton
exposed: True
exposed-modules: Data.Concurrent.Deque.Class
                 Data.Concurrent.Deque.Tests Data.Concurrent.Deque.Reference
                 Data.Concurrent.Deque.Reference.DequeInstance
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.1/cabal/abstract-deque-0.1.5
library-dirs: /usr/local/lib/ghc-7.4.1/cabal/abstract-deque-0.1.5
              /usr/local/lib
hs-libraries: HSabstract-deque-0.1.5
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: HUnit-1.2.4.2-6a8472ae640062c77c1c8e76fa6e1bb9
         IORefCAS-0.2-4058c89583a97ccbab4f0712bd2022ec
         base-4.5.0.0-1a022b3476300ed3e5bfdd46dd7221d0
         containers-0.4.2.1-7c54595400348f577b3b4a45691c5afd
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.1/cabal/abstract-deque-0.1.5/html/abstract-deque.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.1/cabal/abstract-deque-0.1.5/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
